/* 
 * This file is automaticaly generated, Please dont edit this file! 
 */
#include <engine/event.h> 



event event_new() {

	event instance;

	instance.mouse = mouse_newPointer();

	instance.screen = screen_newPointer();

	instance.keyboard = keyboard_newPointer();

	return instance;

}

event * event_newPointer() {

	struct event * pointer = malloc( sizeof ( struct event ) );

	pointer->mouse = mouse_newPointer();

	pointer->screen = screen_newPointer();

	pointer->keyboard = keyboard_newPointer();

	return pointer;

}

keyboard keyboard_new() {

	keyboard instance;

	return instance;

}

keyboard * keyboard_newPointer() {

	struct keyboard * pointer = malloc( sizeof ( struct keyboard ) );

	return pointer;

}

screen screen_new() {

	screen instance;

	return instance;

}

screen * screen_newPointer() {

	struct screen * pointer = malloc( sizeof ( struct screen ) );

	return pointer;

}

mouse mouse_new() {

	mouse instance;

	instance.eventTypes = vector_char_pointer_newPointer();

	return instance;

}

mouse * mouse_newPointer() {

	struct mouse * pointer = malloc( sizeof ( struct mouse ) );

	pointer->eventTypes = vector_char_pointer_newPointer();

	return pointer;

}

